Article ID: 130267, created on Feb 8, 2017, last review on Feb 9, 2017

  • Applies to:
  • Operations Automation 6.0
  • Operations Automation 5.5

Symptoms

Installation of APS-application instance fails with error in Control Panel:

'package' is invalid: Value is not within the range of values of enumeration

Cause

Metadata file APP-Meta.xml of the application has a resource limited by setting package ot type enum

Resource:

<resource class="item" id="package_id" limiting-setting="package">
    <name>package_ID</name>
    <description>Configuration variants 1-BASIC ,2-ADVANCED ,3-ENTERPRISE.</description>
</resource>

Limiting setting:

<setting type="enum" id="package" protected="true" default-value="1" track-old-value="true" visibility="hidden">
    <name>Packages</name>
    <choice id="1"></choice>
    <choice id="2"></choice>
    <choice id="3"></choice>
</setting>

In result limit of corresponding resource type in a subscription cannot exceed number of items in the limiting setting. In this example it is 3.

Resolution

Option 1: Set proper limit of relevant resource type in the subsciption and corresponding service plan

Option 2: Request application packager to modify the package

Search Words

Value is not within the range of values of enumeration

'package' is invalid: Value is not within the range of values of enumeration

The domain cant be associed to subscription

caea8340e2d186a540518d08602aa065 e12cea1d47a3125d335d68e6d4e15e07 5356b422f65bdad1c3e9edca5d74a1ae 956c448bddc7e1f3585373687602379f 6f1456866eed87488c0f02b298a741c0 5b048d9bddf8048a00aba7e0bdadef37 2554725ed606193dd9bbce21365bed4e

Email subscription for changes to this article
Save as PDF